NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::SketchMirrorBuilder Class Reference

This class is used to create a set of mirrored curves from a NXOpen::SketchMirrorBuilder . More...

Inheritance diagram for NXOpen::SketchMirrorBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

NXOpen::SelectNXObjectCenterLine ()
 Returns the center line. More...
 
bool ConvertToReference ()
 Returns the flag to indicate if the centerline needs to be converted to reference
Created in NX5.0.0. More...
 
NXOpen::SelectNXObjectListInputCurves ()
 Returns the input curves. More...
 
void SetConvertToReference (bool reference)
 Sets the flag to indicate if the centerline needs to be converted to reference
Created in NX5.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

This class is used to create a set of mirrored curves from a NXOpen::SketchMirrorBuilder .


Note that the implementation of the Builder::Commit for this class only returns the first mirror constraint created.

To create a new instance of this class, use NXOpen::SketchCollection::CreateSketchMirrorBuilder
Default values.

Property Value

ConvertToReference

True


Created in NX5.0.0.

Member Function Documentation

NXOpen::SelectNXObject* NXOpen::SketchMirrorBuilder::CenterLine ( )

Returns the center line.

This must be a straight line, straight edge, datum axis or a datum plane that is not parallel to the plane of the sketch. If an entity is selected that is not part of sketch, it will be projected on the sketch plane and the projection will be used as the center line for mirror.
Created in NX5.0.0.

License requirements : None

bool NXOpen::SketchMirrorBuilder::ConvertToReference ( )

Returns the flag to indicate if the centerline needs to be converted to reference
Created in NX5.0.0.



License requirements : None

NXOpen::SelectNXObjectList* NXOpen::SketchMirrorBuilder::InputCurves ( )

Returns the input curves.

These curves must be a part of the active sketch. Sketch curves and points can be mirrored using the operation. The line being used as center line can not be a part of the input curves.
Created in NX5.0.0.

License requirements : None

void NXOpen::SketchMirrorBuilder::SetConvertToReference ( bool  reference)

Sets the flag to indicate if the centerline needs to be converted to reference
Created in NX5.0.0.



License requirements : None

Parameters
referencereference

The documentation for this class was generated from the following file:
Copyright 2012 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.